Map navigation - temporarily change to zoom in / zoom out / pan tool

2011-06-29 08:39 AM - Darek Bobak

Status: Open

Priority: Normal

Assignee:

Category: Map Canvas

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 14019

Description

Would it be possible to add a keyboard shortcuts that temporarily changes current tool to zoom in/zoom out/pan only when the key is

pressed? For example, when I press "Z" key, tool changes to zoom-in loupe and allows me to zoom some area. When I release "Z" I have

previous tool active. And it would be great, if the keys would be user-configurable.

History

#1 - 2011-08-29 10:45 PM - Paolo Cavallini

- Category set to Map Canvas

- Pull Request or Patch supplied set to No

#2 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:13 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2015-12-03 06:42 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

on QGIS 2.13 and previous version, you can define keyboard shortcuts for nearly any action, including Pan, Zoom In and Zoom Out.

But you can't have "reverted" shortcuts when shortcut key is released. Actually it is something difficult to imagine for Ctrl+key shortcuts because for some

configurations you need to have two hands to press the shortcuts (Ctrl+Backspace for example).

But you can have three shortcuts affected to three different keys and use them to change the map tool in the canvas. If you choose three keys that can be

accessed directly by three fingers of one hand, you have little effort to change tool.

I think that it is very difficult to implement shortcuts for "pressed" keys. So do you consider that the current QGIS shorcuts functions can answer to your

needs ? If it's the case, we could close this feature request)...

#6 - 2015-12-03 12:43 PM - Nyall Dawson

No, lets leave it open. It would be handy to have something like how the space key works in composer for canvas (while its held down you can pan around)
#7 - 2016-01-03 06:17 AM - Médéric RIBREUX

- Status changed from Feedback to Open

#8 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
